function Create(self)

	self.healtimer = Timer();

--------------------
----- SETTINGS

	self.healdelay = 100; -- this is the delay time (in MS) between healings. The lower the delay, the faster the healing.

--------------------

end

function Update(self)
	for actor in MovableMan.Actors do
		--See if a rocket is within 30 pixel range of the docking unit and if it has the AI mode set to "Stay".
		if (actor.ClassName == "ACRocket") and (actor.AIMode == Actor.AIMODE_STAY) and (math.abs(actor.Pos.X - self.Pos.X) < 30) and (math.abs(actor.Pos.Y - self.Pos.Y) < 30) then
			--Pin the ship and place it nicely in the docking unit.
			actor.Vel = Vector(0,0)
			actor.AngularVel = 0
			actor.RotAngle = 0
			actor.Pos = Vector(self.Pos.X + 0, self.Pos.Y - 20)  --replace offsets with values that place the rocket in a nice position

				if self.healtimer:IsPastSimMS(self.healdelay) and actor.Health < 100 then -- check if the healtimer is past a certain amount of time and if the rocket's health is below 100...
					self.healtimer:Reset();
					actor.Health = actor.Health + 1; -- and heal it if so
				end

		end
	end
end

function Destroy(self)
end